Skip to content
Developer

AdditionalUiFilter

System and settings5 EndpointsSettings / AdditionalUiFilter

Returns a list of all AdditionalUiFilter

GET/api/settings/ui_filter

Query parameters

deletedbooleanThis property is used to mark an entity as deleted / archived | Default value: false
namestring
entityTypestringEntity the filter is added to, for example Person.
infoModestringDisplay mode of the info text of the filter.
filterGroupstringGroup the filter is shown in.
filterTypestringType of the filter, for example single value or range.
filterOrderstringSort order of the filter inside its group.
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of all AdditionalUiFilterarray<AdditionalUiFilter>

Show fields (15)
  • idinteger

    Primary key of the additional filter. Internal ID.

  • entity_typestring

    Entity the filter is added to, for example Person.

  • filter_typestring

    Type of the filter, for example single value or range.

  • filter_groupstring

    Group the filter is shown in.

  • filter_orderinteger

    Sort order of the filter inside its group.

  • filter_scopestring

    Access scope needed to use the filter.

  • filter_conditionstring

    Condition the filter applies, for example equals or contains.

  • filter_access_typeinteger

    Access type needed to use the filter.

  • field_namestring

    Technical name of the field the filter works on.

  • field_valuestring

    Preset value of the filter.

  • info_modestring

    Display mode of the info text of the filter.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/settings/ui_filter \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "field_name": "Beispiel",
    "name": "Beispiel",
    "entity_type": "string",
    "filter_type": "string",
    "filter_group": "string",
    "filter_order": 1,
    "filter_scope": "string",
    "filter_condition": "string",
    "filter_access_type": 1
  }
]

Add a new AdditionalUiFilter

POST/api/settings/ui_filter

Request body application/json

  • dataAdditionalUiFilter
    Show fields (15)
    • idinteger

      Primary key of the additional filter. Internal ID.

    • entity_typestring

      Entity the filter is added to, for example Person.

    • filter_typestring

      Type of the filter, for example single value or range.

    • filter_groupstring

      Group the filter is shown in.

    • filter_orderinteger

      Sort order of the filter inside its group.

    • filter_scopestring

      Access scope needed to use the filter.

    • filter_conditionstring

      Condition the filter applies, for example equals or contains.

    • filter_access_typeinteger

      Access type needed to use the filter.

    • field_namestring

      Technical name of the field the filter works on.

    • field_valuestring

      Preset value of the filter.

    • info_modestring

      Display mode of the info text of the filter.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Add a new AdditionalUiFilterAdditionalUiFilter

Show fields (15)
  • idinteger

    Primary key of the additional filter. Internal ID.

  • entity_typestring

    Entity the filter is added to, for example Person.

  • filter_typestring

    Type of the filter, for example single value or range.

  • filter_groupstring

    Group the filter is shown in.

  • filter_orderinteger

    Sort order of the filter inside its group.

  • filter_scopestring

    Access scope needed to use the filter.

  • filter_conditionstring

    Condition the filter applies, for example equals or contains.

  • filter_access_typeinteger

    Access type needed to use the filter.

  • field_namestring

    Technical name of the field the filter works on.

  • field_valuestring

    Preset value of the filter.

  • info_modestring

    Display mode of the info text of the filter.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/settings/ui_filter \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "field_name": "Beispiel",
    "name": "Beispiel",
    "entity_type": "string",
    "filter_type": "string",
    "filter_group": "string"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "field_name": "Beispiel",
  "name": "Beispiel",
  "entity_type": "string",
  "filter_type": "string",
  "filter_group": "string",
  "filter_order": 1,
  "filter_scope": "string",
  "filter_condition": "string",
  "filter_access_type": 1
}

Returns a single AdditionalUiFilter entry.

GET/api/settings/ui_filter/{identifier}

Path parameters

identifierrequiredstring

Responses

200Return single AdditionalUiFilterAdditionalUiFilter

Show fields (15)
  • idinteger

    Primary key of the additional filter. Internal ID.

  • entity_typestring

    Entity the filter is added to, for example Person.

  • filter_typestring

    Type of the filter, for example single value or range.

  • filter_groupstring

    Group the filter is shown in.

  • filter_orderinteger

    Sort order of the filter inside its group.

  • filter_scopestring

    Access scope needed to use the filter.

  • filter_conditionstring

    Condition the filter applies, for example equals or contains.

  • filter_access_typeinteger

    Access type needed to use the filter.

  • field_namestring

    Technical name of the field the filter works on.

  • field_valuestring

    Preset value of the filter.

  • info_modestring

    Display mode of the info text of the filter.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/settings/ui_filter/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "field_name": "Beispiel",
  "name": "Beispiel",
  "entity_type": "string",
  "filter_type": "string",
  "filter_group": "string",
  "filter_order": 1,
  "filter_scope": "string",
  "filter_condition": "string",
  "filter_access_type": 1
}

Updates an existing AdditionalUiFilter entry.

PUT/api/settings/ui_filter/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataAdditionalUiFilter
    Show fields (15)
    • idinteger

      Primary key of the additional filter. Internal ID.

    • entity_typestring

      Entity the filter is added to, for example Person.

    • filter_typestring

      Type of the filter, for example single value or range.

    • filter_groupstring

      Group the filter is shown in.

    • filter_orderinteger

      Sort order of the filter inside its group.

    • filter_scopestring

      Access scope needed to use the filter.

    • filter_conditionstring

      Condition the filter applies, for example equals or contains.

    • filter_access_typeinteger

      Access type needed to use the filter.

    • field_namestring

      Technical name of the field the filter works on.

    • field_valuestring

      Preset value of the filter.

    • info_modestring

      Display mode of the info text of the filter.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update single AdditionalUiFilterAdditionalUiFilter

Show fields (15)
  • idinteger

    Primary key of the additional filter. Internal ID.

  • entity_typestring

    Entity the filter is added to, for example Person.

  • filter_typestring

    Type of the filter, for example single value or range.

  • filter_groupstring

    Group the filter is shown in.

  • filter_orderinteger

    Sort order of the filter inside its group.

  • filter_scopestring

    Access scope needed to use the filter.

  • filter_conditionstring

    Condition the filter applies, for example equals or contains.

  • filter_access_typeinteger

    Access type needed to use the filter.

  • field_namestring

    Technical name of the field the filter works on.

  • field_valuestring

    Preset value of the filter.

  • info_modestring

    Display mode of the info text of the filter.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/settings/ui_filter/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "field_name": "Beispiel",
    "name": "Beispiel",
    "entity_type": "string",
    "filter_type": "string",
    "filter_group": "string"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "field_name": "Beispiel",
  "name": "Beispiel",
  "entity_type": "string",
  "filter_type": "string",
  "filter_group": "string",
  "filter_order": 1,
  "filter_scope": "string",
  "filter_condition": "string",
  "filter_access_type": 1
}

Updates an existing AdditionalUiFilter entry.

PATCH/api/settings/ui_filter/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataAdditionalUiFilter
    Show fields (15)
    • idinteger

      Primary key of the additional filter. Internal ID.

    • entity_typestring

      Entity the filter is added to, for example Person.

    • filter_typestring

      Type of the filter, for example single value or range.

    • filter_groupstring

      Group the filter is shown in.

    • filter_orderinteger

      Sort order of the filter inside its group.

    • filter_scopestring

      Access scope needed to use the filter.

    • filter_conditionstring

      Condition the filter applies, for example equals or contains.

    • filter_access_typeinteger

      Access type needed to use the filter.

    • field_namestring

      Technical name of the field the filter works on.

    • field_valuestring

      Preset value of the filter.

    • info_modestring

      Display mode of the info text of the filter.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update single AdditionalUiFilterAdditionalUiFilter

Show fields (15)
  • idinteger

    Primary key of the additional filter. Internal ID.

  • entity_typestring

    Entity the filter is added to, for example Person.

  • filter_typestring

    Type of the filter, for example single value or range.

  • filter_groupstring

    Group the filter is shown in.

  • filter_orderinteger

    Sort order of the filter inside its group.

  • filter_scopestring

    Access scope needed to use the filter.

  • filter_conditionstring

    Condition the filter applies, for example equals or contains.

  • filter_access_typeinteger

    Access type needed to use the filter.

  • field_namestring

    Technical name of the field the filter works on.

  • field_valuestring

    Preset value of the filter.

  • info_modestring

    Display mode of the info text of the filter.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/settings/ui_filter/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "field_name": "Beispiel",
    "name": "Beispiel",
    "entity_type": "string",
    "filter_type": "string",
    "filter_group": "string"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "field_name": "Beispiel",
  "name": "Beispiel",
  "entity_type": "string",
  "filter_type": "string",
  "filter_group": "string",
  "filter_order": 1,
  "filter_scope": "string",
  "filter_condition": "string",
  "filter_access_type": 1
}